/*
Pluck: an open source trivia game for Android

Copyright (C) 2021 Joguitos do luca0N!

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.

This game is a fork of LibreTrivia, and its source code is available at
<https://github.com/tryton-vanmeer/LibreTrivia>.

Contact us at <joguitos+pluck@luca0n.com>.
*/

package com.luca0n.joguitos.pluck.fragments;

import android.os.Bundle;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

import androidx.annotation.NonNull;
import androidx.fragment.app.Fragment;
import butterknife.BindView;
import butterknife.ButterKnife;
import com.luca0n.joguitos.pluck.R;

public class TriviaGameErrorFragment extends Fragment {
    private final static String ARG_ERROR_MSG = "arg_error_msg";

    @BindView(R.id.text_error_msg)
    TextView textView;

    public TriviaGameErrorFragment() {
    }

    public static TriviaGameErrorFragment newInstance(String msg) {
        Bundle args = new Bundle();
        args.putString(ARG_ERROR_MSG, msg);

        TriviaGameErrorFragment fragment = new TriviaGameErrorFragment();
        fragment.setArguments(args);
        return fragment;
    }

    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, ViewGroup container,
                             Bundle savedInstanceState) {
        View view = inflater.inflate(R.layout.fragment_trivia_game_error, container, false);
        ButterKnife.bind(this, view);

        Bundle args;
        if ((args = getArguments()) != null) {
            textView.setText(args.getString(ARG_ERROR_MSG));
        }

        return view;
    }
}
