/*
Pluck: an open source trivia game for Android

Copyright (C) 2021 Joguitos do luca0N!

This program is free software: you can redistribute it and/or modify it under
the terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with
this program. If not, see <https://www.gnu.org/licenses/>.

This game is a fork of LibreTrivia, and its source code is available at
<https://github.com/tryton-vanmeer/LibreTrivia>.

Contact us at <joguitos+pluck@luca0n.com>.
*/

package com.luca0n.joguitos.pluck.util;

import android.content.Context;
import android.content.SharedPreferences;
import android.media.MediaPlayer;
import android.preference.PreferenceManager;

import com.luca0n.joguitos.pluck.R;

public class SoundUtil {
    public static final int SOUND_ANSWER_CORRECT = R.raw.sound_answer_correct;
    public static final int SOUND_ANSWER_WRONG = R.raw.sound_answer_wrong;

    public static void playSound(Context context, int sound) {
        SharedPreferences preferences = PreferenceManager.getDefaultSharedPreferences(context);
        String key_sound = context.getResources().getString(R.string.pref_sound_answer);
        boolean pref_sound = preferences.getBoolean(key_sound, true);

        if (pref_sound) {
            final MediaPlayer player = MediaPlayer.create(context, sound);
            player.setVolume(0.25f, 0.25f);
            player.start();
        }
    }
}
